View Issue Details

IDProjectCategoryView StatusLast Update
0002893Far ManagerDrive Menupublic2014-12-29 15:35
ReporterArtyAssigned ToDrKnS 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version8.1
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002893: Не работает размонтирование iso, vhd, vhdx
DescriptionИз меню дисков не работает размонтирование образов iso, vhd, vhdx смонтированных встроенными средствами ОС.
Steps To Reproduce1. Монтируем любой образ iso, vhd, vhdx встроенными средствами системы (правый клик -> Mount)
2. Пытаемся извлечь виртуальный диск в меню через DEL.
3. Отвечаем утвердительно на возникший запрос:
╔═ Отсоединение виртуального диска ═╗
║ Отсоединить виртуальный диск D:? ║
╟───────────────────────────────────╢
║ { Да } [ Нет ] ║
╚═══════════════════════════════════╝
4. Наблюдаем отсутствие реакции.
Additional InformationНе работает уже очень давно (год точно), возможно это произошло после установки каких-то обновлений.
TagsNo tags attached.
Build4227

Activities

DrKnS

2014-12-22 22:39

administrator   bugnote:0013355

> Не работает размонтирование iso, vhd, vhdx

Вы уверены, что "iso, vhd, vhdx", а не "iso, vhdx"?

Arty

2014-12-22 23:36

reporter   bugnote:0013356

А что не так с vhd?
Только что специально проверил на 100Мб vhd - не работает.

DrKnS

2014-12-23 00:00

administrator   bugnote:0013357

Этот код писался, когда кроме vhd ещё ничего не было.

В 4226 будет работать, правда, скорее всего, только с правами администратора.

Arty

2014-12-23 23:00

reporter   bugnote:0013358

4226
для vhd и vhdx, если их извлекать не под полным админом, то ругается на отсутствие прав, что логично..
для iso работает и так.

а есть возможность выдавать запрос на повышение прав, как при копировании и других операциях?

DrKnS

2014-12-23 23:03

administrator   bugnote:0013359

Есть, но довольно много переделывать.
Сделаю при случае.

DrKnS

2014-12-24 23:57

administrator   bugnote:0013360

4227.

Arty

2014-12-29 15:33

reporter   bugnote:0013375

4227 - работает.

Issue History

Date Modified Username Field Change
2014-12-22 22:14 Arty New Issue
2014-12-22 22:39 DrKnS Note Added: 0013355
2014-12-22 23:36 Arty Note Added: 0013356
2014-12-23 00:00 DrKnS Note Added: 0013357
2014-12-23 00:00 DrKnS Assigned To => DrKnS
2014-12-23 00:00 DrKnS Status new => feedback
2014-12-23 23:00 Arty Note Added: 0013358
2014-12-23 23:00 Arty Status feedback => assigned
2014-12-23 23:03 DrKnS Note Added: 0013359
2014-12-24 23:57 DrKnS Note Added: 0013360
2014-12-24 23:57 DrKnS Status assigned => feedback
2014-12-29 15:33 Arty Note Added: 0013375
2014-12-29 15:33 Arty Status feedback => assigned
2014-12-29 15:35 DrKnS Build => 4227
2014-12-29 15:35 DrKnS Status assigned => closed
2014-12-29 15:35 DrKnS Resolution open => fixed
2014-12-29 15:35 DrKnS Fixed in Version => 3.0